kr.co.hanwha.hifive.data.source.contract

## Interface ProjectDataSource

All Superinterfaces:
  BaseDataSource

All Known Implementing Classes:
  ProjectDataRepository

    public interface ProjectDataSource
    extends BaseDataSource

See Also:
  `Created by sanghoonkwon on 2018. 2. 20..`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `requestDashboardList(android.content.Context context, HanwhaNetworkCallback<DabDataRoot> callback)` Dashboard 목록 조회
`void` `requestProjectList(android.content.Context context, HanwhaNetworkCallback<java.util.ArrayList<ProjectInfoData>> callback)` Project 분류 목록
`void` `requestTaskListByCampaign(android.content.Context context, int project_id, boolean isAll, HanwhaNetworkCallback<MainProjectRoot> callback)` Project, Campaign으로 구분되는 TASK 목록 조회
`void` `requestUpdateProjectColor(android.content.Context context, int project_id, ProjectEvaluationType evaluationType, HanwhaNetworkCallback callback)` Update Project evaluation color

### Methods inherited from interface kr.co.hanwha.hifive.base.BaseDataSource

`clearData`

### Method Detail

#### requestProjectList

    void requestProjectList(@NonNull
                            android.content.Context context,
                            @NonNull
                            HanwhaNetworkCallback<java.util.ArrayList<ProjectInfoData>> callback)

Project 분류 목록

Parameters:
  `context` - Context
  `callback` - 콜백

#### requestTaskListByCampaign

    void requestTaskListByCampaign(@NonNull
                                   android.content.Context context,
                                   @NonNull
                                   int project_id,
                                   @NonNull
                                   boolean isAll,
                                   @NonNull
                                   HanwhaNetworkCallback<MainProjectRoot> callback)

Project, Campaign으로 구분되는 TASK 목록 조회

Parameters:
  `context` - Context
  `project_id` - Project ID
  `isAll` - 필터
  `callback` - 콜백

#### requestUpdateProjectColor

    void requestUpdateProjectColor(@NonNull
                                   android.content.Context context,
                                   @NonNull
                                   int project_id,
                                   @NonNull
                                   ProjectEvaluationType evaluationType,
                                   @NonNull
                                   HanwhaNetworkCallback callback)

Update Project evaluation color

Parameters:
  `context` - Context
  `project_id` - 프로젝트 ID
  `evaluationType` - 프로젝트 Evaluation color code
  `callback` - 콜백

#### requestDashboardList

    void requestDashboardList(@NonNull
                              android.content.Context context,
                              @NonNull
                              HanwhaNetworkCallback<DabDataRoot> callback)

Dashboard 목록 조회

Parameters:
  `context` - Context
  `callback` - 콜백